/**
 * 客户管理 api 封装
 *
 * @Author:    霍锦
 * @Date:      2025-03-25 10:42:33
 * @Copyright  友仓
 */
import {postRequest, getRequest} from '/@/lib/axios';

export const customerApi = {

    /**
     * 分页查询  @author  霍锦
     */
    queryPage: (param: object) => {
        return postRequest('/customer/queryPage', param);
    },

    /**
     * 增加  @author  霍锦
     */
    add: (param: object) => {
        return postRequest('/customer/add', param);
    },

    /**
     * 修改  @author  霍锦
     */
    update: (param: object) => {
        return postRequest('/customer/update', param);
    },


    /**
     * 删除  @author  霍锦
     */
    delete: (customerId: number) => {
        return getRequest('/customer/delete', {customerId});
    },

    /**
     * 批量删除  @author  霍锦
     */
    batchDelete: (idList: number[]) => {
        return postRequest('/customer/batchDelete', idList);
    },
    /**
     * 下拉查询  @author  hj
     */
    queryCustomer: (param: object) => {
        return postRequest('/customer/queryCustomer',param);
    },


};
